Bug 855590 - python-iniparse causes yum to fail to properly parse configuration for yum-plugin-remove-with-leaves
python-iniparse causes yum to fail to properly parse configuration for yum-pl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 05:31 EDT by Krzysztof Pawlik
Modified: 2012-09-26 05:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:14:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Pawlik 2012-09-09 05:31:30 EDT
Description of problem:
yum-plugin-remove-with-leaves contains a configuration file that starts with 'rem' (remove), parsing of this line is affected by known bug from iniparse which causes it to skip the line. Due to this one can't permanently enable the plugin functionality.

Version-Release number of selected component (if applicable):
python-iniparse-0.4-4.fc17

How reproducible:
Always

Steps to Reproduce:
Run python, run a test case:
>>> import iniparse
>>> import StringIO
>>> parser = iniparse.RawConfigParser()
>>> parser.readfp(StringIO.StringIO('[main]\nok = 1\nremoved = yes\n\n'))
>>> parser.sections()
['main']
>>> parser.items('main')
[('ok', '1')]
>>>
  
Actual results:
Lack of 'removed' in items.

Expected results:
'removed' should appear in items.

Additional info:
The bug has been known at least from February, see http://code.google.com/p/iniparse/issues/detail?id=28, this bug also contains a one line fix to this bug, can we have a revision bump for F17?
Comment 1 Tim Lauridsen 2012-09-10 01:07:49 EDT
 I have add a patch, please test

http://koji.fedoraproject.org/koji/taskinfo?taskID=4470571
Comment 2 Fedora Update System 2012-09-10 04:22:10 EDT
python-iniparse-0.4-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-iniparse-0.4-6.fc18
Comment 3 Fedora Update System 2012-09-10 04:22:21 EDT
python-iniparse-0.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-iniparse-0.4-6.fc17
Comment 4 Fedora Update System 2012-09-10 12:08:50 EDT
Package python-iniparse-0.4-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-iniparse-0.4-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13718/python-iniparse-0.4-6.fc18
then log in and leave karma (feedback).
Comment 5 Krzysztof Pawlik 2012-09-11 13:20:45 EDT
python-iniparse-0.4-6.fc17 resolves the issue, thanks!
Comment 6 Tim Lauridsen 2012-09-12 00:44:21 EDT
could you please add some karma to the updates
Comment 7 Krzysztof Pawlik 2012-09-12 11:59:54 EDT
(In reply to comment #6)
> could you please add some karma to the updates

Yes, of course -- it's done.
Comment 8 Fedora Update System 2012-09-17 18:14:46 EDT
python-iniparse-0.4-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-26 05:03:21 EDT
python-iniparse-0.4-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.